%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-vows
Version:    0.7.0
Release:    8%{?dist}
Summary:    Asynchronous behavior-driven development (BDD) and continuous integration
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/cloudhead/vows
Source0:    http://registry.npmjs.org/vows/-/vows-%{version}.tgz
# Custom man page.
Source1:    vows.1

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

# wildcard.js is bundled from unknown origins, but upstream have patched to
# use node-glob instead. We'll apply the patch while waiting for next release.
Patch0:     %{name}-0.7.0-use-node-glob-instead-of-wildcard.patch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  coffee-script
BuildRequires:  npm(diff)
BuildRequires:  npm(eyes)
BuildRequires:  npm(glob)
%endif

%description
Vows is an asynchronous behavior-driven development (BDD) framework for
Node.js.

Vows was built from the ground up to test asynchronous code. It
executes your tests in parallel when it makes sense, and sequentially
when there are dependencies. Emphasis was put on speed of execution,
clarity and user experience.


%prep
%setup -q -n package
%patch0 -p1


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/vows
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/vows
mkdir -p %{buildroot}%{nodejs_sitelib}/vows/bin
install -p -D -m0755 bin/vows %{buildroot}%{nodejs_sitelib}/vows/bin/vows

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/vows/bin/vows %{buildroot}%{_bindir}/vows

mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/vows.1

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
./bin/vows test/*.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/vows
%{_bindir}/vows
%{_mandir}/man1/vows.1*


%changelog
* Tue Aug 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.0-8
- add nodejs_find_provides_and_requires macro

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.0-6
- fix nodejs-glob dependency

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.0-5
- make versioned dependency on nodejs-glob less specific

* Sun Apr 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.0-4
- use node-glob instead of wildcard.js, which is bundled from unknown origins
- add a more detailed %%description
- add /usr/bin/vows
- add custom man page

* Sun Mar 10 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.0-3
- fix typo in %%summary

* Sat Mar 02 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.0-2
- add ASL 2.0 to License tag
- remove /usr/bin/vows symlink

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.0-1
- initial package
